#!/usr/bin/env bash

set -e
source $(dirname $0)/env.sh

cd $LUNA_ROOT

SOURCES=($(find kernel/src -type f | grep -v "\.asm"))
SOURCES+=($(find luna/src -type f))
SOURCES+=($(find luna/include/luna -type f))

for f in ${SOURCES[@]}
do
    clang-format $f -i
done